<?php
/**
 * @version     1.0.4
 * @package     com_fnetcontent
 * @copyright   Copyright (C) 2016. Alle Rechte vorbehalten.
 * @license     GNU General Public License Version 2 oder später; siehe LICENSE.txt
 * @author      thomas Langer <langer@formativ.net> - http://www.formativ.net
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for a list of Fnetcontent.
 */
class FnetcontentViewFilemanager extends JViewLegacy {

    protected $items;
    protected $pagination;
    protected $state;

    /**
     * Display the view
     */
    public function display($tpl = null) {
        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors));
        }

        FnetcontentHelper::addSubmenu('filemanager');

		JToolBarHelper::title(   JText::_( 'formativ.net Content Filemanager' ),'manage.png' );

		JToolBarHelper::preferences('com_fnetcontent');

        $this->sidebar = JHtmlSidebar::render();
		
		//Filemanager via Session Freigeben
		$session = JFactory::getSession();
		$session->set('AccessFilemanager', 1);
        parent::display($tpl);
    }

}