<?php
/**
 * @version     1.0.4
 * @package     com_fnetcontent
 * @copyright   Copyright (C) 2016 formativ.net oHG. Alle Rechte vorbehalten.
 * @license     GNU General Public License http://www.gnu.org/licenses/gpl.html
 * @author      thomas Langer <langer@formativ.net> - http://www.formativ.net
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once (JPATH_SITE.'/components/com_content/helpers/route.php');

class modfnetContentHelper {
    public static function getCodeWritten(&$params) { //returns code written or ""
        return trim($params->get( 'code_written' ));
    }

    public static function getStorageSource(&$params) { //returns filepathname or a record id or ""
        $storage=trim($params->get('source_code_storage'));
        if($storage!="") {
            if($id = substr(strchr($storage,"*"),1)) { //if record id return it
                return (int)$id;
            }
            else { // else return filepathname
                return $params->def('default_absolute_path',JPATH_ROOT).'/'.$storage;
            }
        }
        else {
			if($params->def('viewfile','')!=''){
				return JPATH_ROOT.'/fnetcontent/clickdemo/'.$params->def('viewfile','');
			}
			else {
				return '';
			}
        }
    }

    public static function getCodeStored($source) { //returns code stored in the database or null.
        $database = JFactory::getDBO();
        $database->setQuery("select custom_script from #__fnetcontent where id = $source");
        return $database->loadResult();
    }
}