<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.event.plugin' );

/**
 * Joomla! Redirect Failed Login
 * Version 1.0.4
 * @package     com_fnetcontent
 * @copyright   Copyright (C) 2016 formativ.net oHG. Alle Rechte vorbehalten.
 * @license     GNU General Public License http://www.gnu.org/licenses/gpl.html
 * @author      thomas Langer <langer@formativ.net> - http://www.formativ.net
 */
class  plgSystemFnetRedirectFailedLogin extends JPlugin
{
	
	function onUserLoginFailure()
	{
		$application = JFactory::getApplication();

		if (!$application->isAdmin()) {
			$config = JFactory::getConfig();
			$language = $config->get('config.language');

			$redirect_destination = $this->params->def('redirect_destination', '');
			$redirect_message = $this->params->def('redirect_message', JText::_('JLIB_LOGIN_AUTHENTICATE'));
			
			$redirect_destination2 = $this->params->def('redirect_destination2', '');
			$redirect_message2 = $this->params->def('redirect_message2', JText::_('JLIB_LOGIN_AUTHENTICATE'));
			
			$redirect_destination3 = $this->params->def('redirect_destination3', '');
			$redirect_message3 = $this->params->def('redirect_message3', JText::_('JLIB_LOGIN_AUTHENTICATE'));
			
			$redirect_destination4 = $this->params->def('redirect_destination4', '');
			$redirect_message4 = $this->params->def('redirect_message4', JText::_('JLIB_LOGIN_AUTHENTICATE'));
			
			$redirect_destination5 = $this->params->def('redirect_destination5', '');
			$redirect_message5 = $this->params->def('redirect_message5', JText::_('JLIB_LOGIN_AUTHENTICATE'));
			
			$time_delay = $this->params->def('time_delay', '');
			$clear_cache = $this->params->def('clear_cache', '');
			$language_code2 = $this->params->def('language_code2', '');
			$language_code3 = $this->params->def('language_code3', '');
			$language_code4 = $this->params->def('language_code4', '');
			$language_code5 = $this->params->def('language_code5', '');
			
			$message_type = $this->params->def('message_type', ''); //joomla enqueue message type
			$debug = $this->params->def('debug', ''); //turn on debugging messages

			if ($language != '')
			{	if ($language == $language_code2)
				{	$redirect_destination = $redirect_destination2;
					$redirect_message = $redirect_message2;
				} elseif ($language == $language_code3)
					{	$redirect_destination = $redirect_destination3;
						$redirect_message = $redirect_message3;
					} elseif ($language == $language_code4)
						{	$redirect_destination = $redirect_destination4;
							$redirect_message = $redirect_message4;
						} elseif ($language == $language_code5)
							{	$redirect_destination = $redirect_destination5;
								$redirect_message = $redirect_message5;
							}
			}

			// Anpassung formativ.net begin
			$jinput = JFactory::getApplication()->input;
			$failedreturn = base64_decode($jinput->get('failedreturn','',BASE64));
			if($failedreturn!=''){
				$redirect_destination = $failedreturn;
			}
			// Anpassung formativ.net end

			// Get current URL, if current URL matches the redirect URL, then no need to redirect
			// Prevents multiple redirections caused by onLoginFailure
			$uri = JFactory::getURI();
			$url = $uri->toString(); // convert to string
			if ($debug == "1") {
				$application->enqueueMessage('RFL: Failed login detected', 'message');
				$application->enqueueMessage('RFL: URI is = ' . $url, 'message');
				$application->enqueueMessage('RFL: Language is = ' . $language, 'message');
			}
			if ( $time_delay != "0" ) {
				sleep ( (int)$time_delay ); // If a time delay is set, wait before proceeding
			}  
			if ( ($url != $redirect_destination) && ($redirect_destination !='') ) {
				if ($clear_cache == "1") {
					$cache = JFactory::getCache();    // Reference the cache
					$cache->clean(); // Clean the cache so you don't get stale page after redirection
					if ($debug == "1") {
						$application->enqueueMessage('RFL: Cleaned Cache', 'message'); 
					}
				}
				if ($debug == "1") {
					$application->enqueueMessage('RFL: Redirected to: ' . $redirect_destination, 'message'); 
				}
				$application->redirect( $redirect_destination , $redirect_message, $message_type  );
			}
			else {
				$application->enqueueMessage($redirect_message, $message_type);  // if no redirect, still show message
			}
		}
		return true;
	}
}