<?php
/**
 * @version     1.0.4
 * @package     com_fnetcontent
 * @copyright   Copyright (C) 2016 formativ.net oHG. Alle Rechte vorbehalten.
 * @license     GNU General Public License http://www.gnu.org/licenses/gpl.html
 * @author      thomas Langer <langer@formativ.net> - http://www.formativ.net
*/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

// Class fnetContentViewLegacy registrieren
JLoader::register('fnetContentViewLegacy', JPATH_ROOT . '/components/com_fnetcontent/helpers/viewlegacy.php');
/**
 * fnetContent Component Controller
 *
 * @package     Joomla.Site
 * @subpackage  com_fnetcontent
 * @since 1.5
 */

class FnetcontentController extends JControllerLegacy {
	/**
	 * Method to display a view.
	 *
	 * @param   boolean         $cachable If true, the view output will be cached
	 * @param   array           $urlparams An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return  JController     This object to support chaining.
	 * @since   1.5
	 */
	public function display($cachable = false, $urlparams = array()) {
		
		require_once JPATH_COMPONENT . '/helpers/fnetcontent.php';
		// Set the default view name and format from the Request.
		$view = JFactory::getApplication()->input->getCmd('view', 'settings');
        JFactory::getApplication()->input->set('view', $view);

        parent::display($cachable, $urlparams);

		return $this;
	}
}