<?php
/**
* @version   1.0.4
* @package   fnetContent
* @copyright (C) 2016 formativ.net
* @license   GNU/GPL v3 http://www.gnu.org/licenses/gpl.html
*/
global $cFormTabIndex;
$cFormTabIndex = 1;

function cti(){
	global $cFormTabIndex;
	return $cFormTabIndex++;
}

if (!$this->cFormValid): ?>

	<div class="cKontaktFormError">
		<p><?php echo JText::_("COM_FNETCONTENT_CONTACTFORM_FORMERROR")?></p>
	</div>

<?php endif; ?>

<?php if ($this->params->get('pretext')) :?>
	<div class="pretext">
		<?php echo $this->params->get('pretext'); ?>
	</div>
<?php endif; ?>
<p>&nbsp;</p>
<form class="fnetcontact" action="<?php echo JURI::current(); ?>" method="post" enctype="multipart/form-data">
	<fieldset>
		<div class="cFormCol">
			<div style="margin-bottom: 7px;"><label for="anrede"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_ANREDE_LABEL');?><span class="required">*</span></label></div>
			<div class="cFormCol">
				<input type="radio" name="anrede" id="anrede" tabindex="<?=cti();?>" value="Frau" required="required" />&nbsp;&nbsp;<span class="cFormlabel">Frau</span>
			</div>
			<div class="cFormCol">
				<input type="radio" name="anrede" tabindex="<?=cti();?>" value="Herr" required="required" />&nbsp;&nbsp;<span class="cFormlabel">Herr</span>
			</div>
		</div>
		<div class="cFormCol">
			<label for="titel"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_TITEL_LABEL');?></label>
			<input type="text" name="titel" id="titel" tabindex="<?=cti();?>" maxlength="50" />
		</div>
	</fieldset>
	
	<fieldset>
		<div class="cFormCol">
			<label for="nachname"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_NAME_LABEL');?><span class="required">*</span></label>
			<input type="text" name="nachname" id="nachname" tabindex="<?=cti();?>" required="required" maxlength="50" />
		</div>
		<div class="cFormCol">
			<label for="vorname"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_VORNAME_LABEL');?><span class="required">*</span></label>
			<input type="text" name="vorname" id="vorname" tabindex="<?=cti();?>" required="required" maxlength="50" />
		</div>
	</fieldset>

	<fieldset>
		<label for="strasse"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_STRASSENR_LABEL');?><span class="required">*</span></label>
		<input type="text" name="strasse" id="strasse" tabindex="<?=cti();?>" maxlength="50" />
	</fieldset>
	
	<fieldset>
		<div class="cFormCol">
			<label for="plz"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_PLZ_LABEL');?><span class="required">*</span></label>
			<input type="text" name="plz" id="plz" tabindex="<?=cti();?>" maxlength="10" />
		</div>
		<div class="cFormCol">
			<label for="ort"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_ORT_LABEL');?><span class="required">*</span></label>
			<input type="text" name="ort" id="ort" tabindex="<?=cti();?>" maxlength="50" />
		</div>
	</fieldset>
	
	<fieldset>
		<div class="cFormCol">
			<label for="email"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_EMAIL_LABEL');?><span class="required">*</span></label>
			<input type="email" name="email" id="email" tabindex="<?=cti();?>" required="required" maxlength="100" />
		</div>
		<div class="cFormCol">
			<label for="telefon"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_TELEFON_LABEL');?><span class="required">**</span></label>
			<input type="text" name="telefon" id="telefon" tabindex="<?=cti();?>" maxlength="20" />
		</div>
	</fieldset>

	<fieldset>
		<div>
			<label for="nachricht"><?=JText::_('COM_FNETCONTENT_CONTACTFORM_NACHRICHT_LABEL');?></label>
			<textarea id="nachricht" name="nachricht" tabindex="<?=cti();?>" rows="5"></textarea>
		</div>
	</fieldset>
	<p><?=JText::_('COM_FNETCONTENT_CONTACTFORM_PFLICHTFELDER');?></p>
	<fieldset class="submit-fieldset">
		<div class="cFormCol">
			<span class="arrowicon"><input id="formsubmit" type="button" value="<?=JText::_('COM_FNETCONTENT_CONTACTFORM_BUTTON_SUBMIT');?>" tabindex="<?=cti();?>" /></span>
			<input type="hidden" value="formsubmit" name="hiddenformsubmit" />
		</div>
		<div class="cFormCol"></div>
	</fieldset>
</form>

<?php if ($this->params->get('textafter')) :?>
	<div class="pretext">
		<?php echo $this->params->get('textafter'); ?>
	</div>
<?php endif; ?>
<script type="text/javascript">
	 jQuery(document).ready(function() {
		
		function checkform(){
			var fehlertext = '';

			if (!jQuery("input[type=radio][name=anrede]:checked").val()) {
				fehlertext = fehlertext+'<?=JText::_('COM_FNETCONTENT_CONTACTFORM_ANREDE_ERRORTEXT'); ?>'+"\n\n";
			}
				
			if ( jQuery("#vorname").val().length < 2 ){
				fehlertext = fehlertext+'<?=JText::_('COM_FNETCONTENT_CONTACTFORM_VORNAME_ERRORTEXT'); ?>'+"\n\n";
			}
			if ( jQuery("#nachname").val().length < 2 ){
				fehlertext = fehlertext+'<?=JText::_('COM_FNETCONTENT_CONTACTFORM_NAME_ERRORTEXT'); ?>'+"\n\n";
			}
			
			if ( jQuery("#strasse").val().length < 2 ){
				fehlertext = fehlertext+'<?=JText::_('COM_FNETCONTENT_CONTACTFORM_STRASSENR_ERRORTEXT'); ?>'+"\n\n";
			}
			if ( jQuery("#plz").val().length < 2 ){
				fehlertext = fehlertext+'<?=JText::_('COM_FNETCONTENT_CONTACTFORM_PLZ_ERRORTEXT'); ?>'+"\n\n";
			}
			if ( jQuery("#ort").val().length < 2 ){
				fehlertext = fehlertext+'<?=JText::_('COM_FNETCONTENT_CONTACTFORM_ORT_ERRORTEXT'); ?>'+"\n\n";
			}
			
			if ( ( jQuery("#email").val().length < 7 ) &&  (jQuery("#telefon").val().length < 7 )) {
				fehlertext= fehlertext+'<?=JText::_('COM_FNETCONTENT_CONTACTFORM_PFLICHTFELDER_ERRORTEXT'); ?>'+"\n\n";
			}
			
			if ( jQuery("#nachricht").val().length < 3 ) {
				fehlertext= fehlertext+'<?=JText::_('COM_FNETCONTENT_CONTACTFORM_NACHRICHT_ERRORTEXT'); ?>'+"\n\n";
			}
			
			// Fehlermeldung ausgeben oder Formular absenden
			if (fehlertext!=='') {
				fehlertext= '<?=JText::_('COM_FNETCONTENT_CONTACTFORM_FORM_ERRORTEXT'); ?>'+"\n\n"+fehlertext;
				alert(fehlertext);
			}
			else {
				jQuery('.fnetcontact').submit();
			}
		}

		jQuery("#formsubmit").click(function() {
			checkform();
		})
	});
</script>