<?php
/**
 * @version     1.0.4
 * @package     com_fnetcontent
 * @copyright   Copyright (C) 2016 formativ.net oHG. Alle Rechte vorbehalten.
 * @license     GNU General Public License http://www.gnu.org/licenses/gpl.html
 * @author      thomas Langer <langer@formativ.net> - http://www.formativ.net
*/

// no direct access
defined('_JEXEC') or die;

?>
<!-- fnetContent Blank View starts here -->
<div class="fnetcontent<?php echo $this->params->get('pageclass_sfx',''); ?>">
<?php if ($this->params->get('show_page_heading', 1)) : ?>
<h1>
	<?php if ($this->escape($this->params->get('page_heading'))) :?>
		<?php echo $this->escape($this->params->get('page_heading')); ?>
	<?php else : ?>
		<?php echo $this->escape($this->params->get('page_title')); ?>
	<?php endif; ?>
</h1>
<?php endif; 

// Prüfen ob der View über ein Menü aufgerufen wurde
// ein direkter aufruf des Views ist aus Sicherheitsgründen nicht erlaubt
$itemid = JRequest::getint( 'Itemid' );

if ($itemid>0) :
	//Filemanager via Session Freigeben falls View über ein Menü aufgerufen wurde
	$session = JFactory::getSession();
	$session->set('AccessFilemanager', 1);

?>
	<div class="fnetfilemanager" style="width:100%; height:<?php echo $this->params->get('height','500'); ?>px;">
		<iframe src="<?php echo JUri::base(TRUE); ?>/components/com_fnetcontent/filemanager/index.php" style="width:100%; height:100%;"></iframe> 
	</div>
<?php else : ?>
	<div class="fnetfilemanager">
		Zugriff nicht erlaubt.
	</div>
<?php endif; ?>
</div>