<?php
/**
 * @version     1.0.4
 * @package     com_fnetcontent
 * @copyright   Copyright (C) 2016 formativ.net oHG. Alle Rechte vorbehalten.
 * @license     GNU General Public License http://www.gnu.org/licenses/gpl.html
 * @author      thomas Langer <langer@formativ.net> - http://www.formativ.net
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.controller' );

/**
 * fnetcontent Controller
 *
 * @package Joomla
 * @subpackage com_fnetcontent
 */

class FnetContentController extends JControllerLegacy{
	
	/**
	 * @var		string	The default view.
	 * @since   1.6
	 */
	protected $default_view = 'customscripts';//'showApplications';
	
	/**
	 * Method to display a view.
	 *
	 * @param   boolean         If true, the view output will be cached
	 * @param   array           An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return  JController     This object to support chaining.
	 * @since   1.5
	 */
	public function display($cachable = false, $urlparams = array())
	{

		//Set the default view, just in case
		$viewx   = $this->input->get('view', $this->default_view);
		$view = JRequest::getCmd('view');
		if(empty($view)) {
			$this->input->set('view', $this->default_view);
			JRequest::setVar('view', $this->default_view);
		}

		return parent::display();
	}
}