CREATE TABLE IF NOT EXISTS `#__fnetcontent` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `path` varchar(255) default NULL,
  `custom_script` text,
  `access` int(11) unsigned NOT NULL default '0',
  `checked_out` int(11) NOT NULL default '0',
  `published` int(11) NOT NULL default '1',
  `params`   VARCHAR(1024) NOT NULL DEFAULT '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM CHARACTER SET = `utf8`;

INSERT IGNORE INTO `#__fnetcontent` VALUES (1, 'Hello formativ.net Content!', 'hello-fnetcontent', '', '<!-- formativ.net Content intro including some php code (sitename, username) - see below. -->\r\n\r\n<?php\r\nfunction sitename() { //gets sitename\r\n $config = new JConfig();\r\n return $config->sitename;\r\n}\r\n$user =& JFactory::getUser(); //gets user object\r\n?>\r\n\r\n<h3>Hello in the world of formativ.net Content!</h3>\r\n<p>formativ.net Content is a set of Joomla! extensions enabling to include custom codes (html, php, css, js, ...) into Joomla!</p>\r\n<ul>\r\n<li>fnetContent <b>module</b> includes codes into Joomla! module positions,</li>\r\n<li>fnetContent <b>plugin</b> includes codes into Joomla! articles,</li>\r\n<li>formativ.net Content <b>component</b> creates separate Joomla! components from custom codes.</li>\r\n</ul>\r\n<p>We hope formativ.net Content will be useful for your <strong><?php echo sitename(); ?></strong> site.</p>\r\n\r\n<p>Dear \r\n<?php\r\nif ($user->name == '''')\r\n echo "unknown, not logged, friend";\r\nelse\r\n echo $user->name;\r\n?>\r\n!<br />Have a nice day, weeks, months and years with formativ.net Content!\r\n</p>', 0, 0, 1, '');

CREATE TABLE IF NOT EXISTS `#__fnetcontent_settings` (
`id` INT AUTO_INCREMENT NOT NULL, 
`asset_id` INT NOT NULL, 
`ordering` INT NOT NULL, 
`state` TINYINT(1) NOT NULL, 
`checked_out` INT NOT NULL, 
`checked_out_time` DATETIME NOT NULL, 
`created_by` INT NOT NULL, 
`settingskey` VARCHAR(255) NOT NULL, 
`settingslabel` VARCHAR(255) NOT NULL, 
`settingsvalue` TEXT NOT NULL, 
`settingsfilter` VARCHAR(255) NOT NULL, 
`settingshidden` VARCHAR(255) NOT NULL, 
PRIMARY KEY(id)
) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;