<?php
/**
 * @version     1.0.4
 * @package     com_fnetcontent
 * @copyright   Copyright (C) 2016 formativ.net oHG. Alle Rechte vorbehalten.
 * @license     GNU General Public License http://www.gnu.org/licenses/gpl.html
 * @author      thomas Langer <langer@formativ.net> - http://www.formativ.net
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');

class fnetContentViewCustomscript extends JViewLegacy {
	function display($tpl = null) {
		
		FnetcontentHelper::addSubmenu('customscripts');
		
		//get the data
		$application = $this->get('Data');

		$isNew = ($application->id < 1);

		$text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
		

		$this->assignRef('row',	$application);

		$this->addToolbar($text,$isNew);
		$this->sidebar = JHtmlSidebar::render();
		parent::display($tpl);
	}
	
	/**
     * Add the page title and toolbar.
     *
     * @since	1.6
     */
	protected function addToolbar($text,$isNew) {
		//toolbar
		JToolBarHelper::title(JText::_( 'formativ.net Content Application' ).': <small><small>[ ' . $text.' ]</small></small>', 'database' );
		JToolBarHelper::save();
		if ($isNew)  {
			JToolBarHelper::cancel();
		} else {
			JToolBarHelper::apply();
			// for existing items the button is renamed `close`
			JToolBarHelper::cancel( 'cancel', 'JTOOLBAR_CLOSE' );
		}
		//JToolBarHelper::help('screen.applications.edit');
		JToolBarHelper::preferences('com_fnetcontent');
	}
}
