<?php
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

/**
 * Bei erfolgreicher Autentifizierung werden die Applications User auf einen Joomla Benutzer gemappt.
 * Wichtig !! Im Plugin 'User - Joomla!'/'Benutzer - Joomla!' muss die Option 
 * 'Alle Sitzungen beenden'/'Force Logout for all Sessions?' auf Nein/No gestelt 
 * werden. 
 * Wird dies vergessen, so werden beim Logout eines Users alle anderen mit abgemeldet
 * die auf den selben Joomla User (gleiche Id) gemappt sind.
 * Siehe /plugins/user/joomla/joomla.php function onUserLogout()
 */
class fnetAuthLoginhelper {
	
	/**
	 * Gibt die gewünschte Benutzergruppe als Integer oder als Array zusammen mit der Sprache zurück 
	 * @param array $cUserData
	 * @param array $cUserList
	 * @return int
	 */
	public function cGetAppAuthentication($cUserData,$cUserList = NULL) {

		// Hier Zuordnung einfügen
		$cUserGroup =intval($cUserData['cUserGroup']);
		if (array_key_exists($cUserGroup,$cUserList)) {
			$ret = $cUserGroup;
		} else {
			$ret = 0;
		}
		// return array($ret,$language);
		// oder
		return $ret;
	}
	
}