<?php
/**
 * @version     1.0.4
 * @package     com_fnetcontent
 * @copyright   Copyright (C) 2016 formativ.net oHG. Alle Rechte vorbehalten.
 * @license     GNU General Public License http://www.gnu.org/licenses/gpl.html
 * @author      thomas Langer <langer@formativ.net> - http://www.formativ.net
*/

// no direct access
defined("_JEXEC") or die("Restricted access");

class plgSystemfnetcustombackend extends JPlugin
{
	public function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);
	}
		
	public function onAfterInitialise()
    {
		$app = JFactory::getApplication();

		if ($app->isAdmin()) {
			$document = JFactory::getDocument();
			// CSS-Datei zur Anpassung der Menüpunkte der Komponente com_fnetcontent
			$componentPath ='administrator/components/com_fnetcontent/assets/css/fnetcontent.css';
			if (file_exists(JPATH_ROOT.'/'.$componentPath)) {
				$document->addStyleSheet(JURI::root().$componentPath);
			}
			
			// Get active frontend template path
			$db = JFactory::getDbo();
			$db->setQuery( 'SELECT template FROM #__template_styles WHERE client_id=0 AND home=1');
			$template = $db->loadRow();
			$templatePath = 'templates/'.$template[0].'/css/backend.css';
			
			// Läd die CSS-Datei css/backend.css aus dem aktuellen Template Ordner
			if (file_exists(JPATH_ROOT.'/'.$templatePath)) {
				$document->addStyleSheet(JURI::root().$templatePath);
			}
		}    	
    }
}