<?php
/**
* @version   1.0.4
* @package   fnetContent
* @copyright (C) 2016 formativ.net
* @license   GNU/GPL v3 http://www.gnu.org/licenses/gpl.html
*/

// no direct access
defined('_JEXEC') or die;

JHtml::_('jquery.framework');
jimport('joomla.filesystem.file');

// zusätzliche Sprachdatei laden aus:
// JBASE./templates/TEMPLATENAME/html/com_fnetcontent/language/LANG/LANG.com_fnetcontent.ini
// LANG z.B.: de-DE oder en-GB usw.
$language = JFactory::getLanguage();
$extension = 'com_fnetcontent';
$base_dir = dirname(__FILE__).'/..';
$language_tag = $language->getTag(); // loads the current language-tag
$language->load($extension, $base_dir, $language_tag, true);

// Init
$cMailer = JFactory::getMailer();
$cInput  = JFactory::getApplication()->input;
$cSendMail = FALSE;
$cFormValid = TRUE;



// Formular Daten verarbeiten
// Absender des Formulars (im Frontend Formular eingegeben)
$mailfrom    = $cInput->get('email', '', 'STRING');
$mailfromname= $cInput->get('vorname', '', 'STRING').' '.$cInput->get('nachname', '', 'STRING');

// Formular abgesendet?
if ($cInput->get('hiddenformsubmit', '', 'STRING')=='formsubmit') {
	
	// Prüfungen
	if (!$cMailer->validateAddress($mailfrom) and ($cInput->get('vorname', '', 'STRING')=='')) {
		$cFormValid = FALSE;
	}

//	if ($cInput->get('vorname', '', 'STRING')=='') {
//		$cFormValid = FALSE;
//	}
//	
//	if ($cInput->get('nachname', '', 'STRING')=='') {
//		$cFormValid = FALSE;
//	}
//
//	if ($cInput->get('email', '', 'STRING')=='') {
//		$cFormValid = FALSE;
//	}


	// Alles Ok -> Mail senden und Danke Seite anzeigen
	if ($cFormValid) {
		$cSendMail = TRUE;
	}
}
$this->cFormValid=$cFormValid;

?>
<div class="fnetcontent<?php echo $this->params->get('pageclass_sfx',''); ?>">
<?php if ($this->params->get('show_page_heading', 1)) : ?>
<h1>
	<?php if ($this->escape($this->params->get('page_heading'))) :?>
		<?php echo $this->escape($this->params->get('page_heading')); ?>
	<?php else : ?>
		<?php echo $this->escape($this->params->get('page_title')); ?>
	<?php endif; ?>
</h1>
<?php endif; ?>
	
<?php if (!$cSendMail): ?>
	<?php echo $this->loadTemplate('form'); ?>
<?php else:

	// Kontakt Formular versenden
	$this->sendContactMail($mailfrom, $mailfromname);
	
	//Feedback Mail senden wenn im Menü eingestellt und im FOrmular eine E-Mail-Adresse angegeben wurde
	if (
		($this->params->get('feedbacksendmail',0) == 1 )
		and ($mailfrom!='')
	) {
		// Vor- und Nachname zusammenfügen
		$cAbsenderName = $cInput->get('vorname', '', 'STRING').' '.$cInput->get('nachname', '', 'STRING');
		
		// Grußformel erzeugen
		if($cInput->get('anrede', '', 'STRING')=='Frau'){
			$grussanrede = JText::sprintf('COM_FNETCONTENT_CONTACTFORM_GRUSSFORMEL_FRAU_TEXT',$cAbsenderName);
		} elseif ($cInput->get('anrede', '', 'STRING')=='Herr') {
			$grussanrede = JText::sprintf('COM_FNETCONTENT_CONTACTFORM_GRUSSFORMEL_HERR_TEXT',$cAbsenderName); 
		} else {
			$grussanrede = JText::sprintf('COM_FNETCONTENT_CONTACTFORM_GRUSSFORMEL_ALLGEMEIN_TEXT',$cAbsenderName);
		}
		// Grußformel in $_POST schreiben 
		$cInput->post->set('grussanrede',$this->cleanWhitespace($grussanrede));
		
		$this->sendFeedbackMail($mailfrom,$mailfromname);
	}
// Danke Inhalt ?>	
	<?php echo $this->loadTemplate('sent'); ?>
<?php endif; ?>
</div>