<?php
/**
 * @version     1.0.4
 * @package     com_fnetcontent
 * @copyright   Copyright (C) 2016. Alle Rechte vorbehalten.
 * @license     GNU General Public License Version 2 oder später; siehe LICENSE.txt
 * @author      thomas Langer <langer@formativ.net> - http://www.formativ.net
 */
// no direct access
defined('_JEXEC') or die;

$canEdit = JFactory::getUser()->authorise('core.edit', 'com_fnetcontent');
if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_fnetcontent')) {
	$canEdit = JFactory::getUser()->id == $this->item->created_by;
}
?>
<?php if ($this->item) : ?>

    <div class="item_fields">
        <table class="table">
            <tr>
			<th><?php echo JText::_('COM_FNETCONTENT_FORM_LBL_SETTING_ID'); ?></th>
			<td><?php echo $this->item->id; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_FNETCONTENT_FORM_LBL_SETTING_STATE'); ?></th>
			<td>
			<i class="icon-<?php echo ($this->item->state == 1) ? 'publish' : 'unpublish'; ?>"></i></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_FNETCONTENT_FORM_LBL_SETTING_CREATED_BY'); ?></th>
			<td><?php echo $this->item->created_by_name; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_FNETCONTENT_FORM_LBL_SETTING_SETTINGSKEY'); ?></th>
			<td><?php echo $this->item->settingskey; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_FNETCONTENT_FORM_LBL_SETTING_SETTINGSLABEL'); ?></th>
			<td><?php echo $this->item->settingslabel; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_FNETCONTENT_FORM_LBL_SETTING_SETTINGSVALUE'); ?></th>
			<td><?php echo $this->item->settingsvalue; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_FNETCONTENT_FORM_LBL_SETTING_SETTINGSFILTER'); ?></th>
			<td><?php echo $this->item->settingsfilter; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_FNETCONTENT_FORM_LBL_SETTING_SETTINGSHIDDEN'); ?></th>
			<td><?php echo $this->item->settingshidden; ?></td>
</tr>

        </table>
    </div>
    <?php if($canEdit && $this->item->checked_out == 0): ?>
		<a class="btn" href="<?php echo JRoute::_('index.php?option=com_fnetcontent&task=setting.edit&id='.$this->item->id); ?>"><?php echo JText::_("COM_FNETCONTENT_EDIT_ITEM"); ?></a>
	<?php endif; ?>
								<?php if(JFactory::getUser()->authorise('core.delete','com_fnetcontent')):?>
									<a class="btn" href="<?php echo JRoute::_('index.php?option=com_fnetcontent&task=setting.remove&id=' . $this->item->id, false, 2); ?>"><?php echo JText::_("COM_FNETCONTENT_DELETE_ITEM"); ?></a>
								<?php endif; ?>
    <?php
else:
    echo JText::_('COM_FNETCONTENT_ITEM_NOT_LOADED');
endif;
?>
